﻿@{
    ViewBag.Title = "Home Page";
}

<div id="appViceri" data-url="@Url.Action("ProjectListar", "Home")">

    <div style="margin:10px 0px;">
        <button type="button" id="importarProjetos" class="btn btn-primary" v-on:click="importarProjetos" data-url="@Url.Action("ProjectImportar", "Home")">Importar projetos</button>
        <button type="button" id="importarIssues" class="btn btn-default" v-on:click="importarIssues" data-url="@Url.Action("IssuesImportar", "Home")">Importar issues manualmente</button>
    </div>

    <div class="loader" v-if="loadDados">
        <i class="glyphicon glyphicon-repeat fast-right-spinner"></i>
        <strong>Aguarde o carregamento das informações...</strong>
    </div>

    <div class="panel panel-default" v-else>
        <div class="panel-heading">Listagem de projetos</div>
        <div class="panel-body">

            <table class="table table-bordered table-condensed">
                <thead>
                    <tr>
                        <th>Id</th>
                        <th>GitLabId</th>
                        <th>Description</th>
                        <th>Name</th>
                        <th>CreatedAt</th>
                        <th>Import</th>
                    </tr>
                </thead>
                <tbody>
                    <tr v-for="(item, index) in listProjects">
                        <td>{{ item.Id }}</td>
                        <td>{{ item.GitLabId }}</td>
                        <td>{{ item.Description }}</td>
                        <td>{{ item.Name }}</td>
                        <td>{{ item.CreatedAtFormat }}</td>
                        <td>{{ item.Import }}</td>
                    </tr>
                </tbody>
            </table>

        </div>
    </div>



</div>